Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class NotesTables

    java.lang.Object
      org.apache.poi.hwpf.model.NotesTables

    public class NotesTables

extends java.lang.Object

Holds information about document notes (footnotes or ending notes)

Author:
  Sergey Vladimirov (vlsergey {at} gmail {doc} com)

Constructor Summary
`NotesTables(NoteType noteType)`
`NotesTables(NoteType noteType, byte[] tableStream, FileInformationBlock fib)`

Method Summary
`GenericPropertyNode` | `getDescriptor(int index)`
`int` | `getDescriptorsCount()`
`GenericPropertyNode` | `getTextPosition(int index)`
`void` | `writeRef(FileInformationBlock fib, HWPFOutputStream tableStream)`
`void` | `writeTxt(FileInformationBlock fib, HWPFOutputStream tableStream)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotesTables

    public NotesTables(NoteType noteType)

### NotesTables

    public NotesTables(NoteType noteType,
                       byte[] tableStream,
                       FileInformationBlock fib)

Method Detail

### getDescriptor

    public GenericPropertyNode getDescriptor(int index)

### getDescriptorsCount

    public int getDescriptorsCount()

### getTextPosition

    public GenericPropertyNode getTextPosition(int index)

### writeRef

    public void writeRef(FileInformationBlock fib,
                         HWPFOutputStream tableStream)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTxt

    public void writeTxt(FileInformationBlock fib,
                         HWPFOutputStream tableStream)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD